<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\ClassRoomActivity;
use App\Models\ClassRoom;
use App\Models\Schedule;

use Faker\Factory as Faker;

class ClassRoomActivitySeeder extends Seeder
{
  /**
   * Run the database seeds.
   */
  public function run(): void
  {
    // schedule = 1, classroom = 4
    $classroom = ClassRoom::find(4);
    $schedule = Schedule::find(1);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-1')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-2')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-3')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-4')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-5')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-6')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-7')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-8')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-9')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-10')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-11')]);

    // schedule = 2, classroom = 3
    $classroom = ClassRoom::find(3);
    $schedule = Schedule::find(2);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-21')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-22')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-23')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-24')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-25')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-26')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-27')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-28')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-29')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-30')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-1-31')]);

    // schedule = 3, classroom = 7
    $classroom = ClassRoom::find(7);
    $schedule = Schedule::find(3);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-2-10')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-2-11')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-2-12')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-2-13')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-2-14')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-2-15')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-2-16')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-2-17')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-2-18')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-2-19')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-2-20')]);

    // schedule = 4, classroom = 2
    $classroom = ClassRoom::find(2);
    $schedule = Schedule::find(4);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-2')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-3')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-4')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-5')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-6')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-7')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-8')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-9')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-10')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-11')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-12')]);

    // schedule = 5, classroom = 1
    $classroom = ClassRoom::find(1);
    $schedule = Schedule::find(5);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-22')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-23')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-24')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-25')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-26')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-27')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-28')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-29')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-30')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-3-31')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-4-1')]);

    // schedule = 6, classroom = 3
    $classroom = ClassRoom::find(3);
    $schedule = Schedule::find(6);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-4-11')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-4-12')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-4-13')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-4-14')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-4-15')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-4-16')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-4-17')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-4-18')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-4-19')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-4-20')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-4-21')]);

    // schedule = 7, classroom = 6
    $classroom = ClassRoom::find(6);
    $schedule = Schedule::find(7);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-1')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-2')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-3')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-4')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-5')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-6')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-7')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-8')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-9')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-10')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-11')]);

    // schedule = 8, classroom = 5
    $classroom = ClassRoom::find(5);
    $schedule = Schedule::find(8);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-21')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-22')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-23')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-24')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-25')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-26')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-27')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-28')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-29')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-30')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-5-31')]);

    // schedule = 9, classroom = 9
    $classroom = ClassRoom::find(9);
    $schedule = Schedule::find(9);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-6-10')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-6-11')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-6-12')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-6-13')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-6-14')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-6-15')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-6-16')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-6-17')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-6-18')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-6-19')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-6-20')]);

    // schedule = 10, classroom = 4
    $classroom = ClassRoom::find(4);
    $schedule = Schedule::find(10);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-6-30')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-1')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-2')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-3')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-4')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-5')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-6')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-7')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-8')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-9')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-10')]);

    // schedule = 11, classroom = 2
    $classroom = ClassRoom::find(2);
    $schedule = Schedule::find(11);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-20')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-21')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-22')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-23')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-24')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-25')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-26')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-27')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-28')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-29')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-7-30')]);

    // schedule = 12, classroom = 6
    $classroom = ClassRoom::find(6);
    $schedule = Schedule::find(12);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-8-9')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-8-10')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-8-11')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-8-12')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-8-13')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-8-14')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-8-15')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-8-16')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-8-17')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-8-18')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-8-19')]);

    // schedule = 13, classroom = 7
    $classroom = ClassRoom::find(7);
    $schedule = Schedule::find(13);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-8-29')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-8-30')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-8-31')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-9-1')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-9-2')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-9-3')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-9-4')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-9-5')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-9-6')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-9-7')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-9-8')]);

    // schedule = 14, classroom = 4
    $classroom = ClassRoom::find(4);
    $schedule = Schedule::find(14);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-9-18')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-9-19')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-9-20')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-9-21')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-9-22')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-9-23')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-9-24')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-9-25')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-9-26')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-9-27')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-9-28')]);

    // schedule = 15, classroom = 8
    $classroom = ClassRoom::find(8);
    $schedule = Schedule::find(15);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-10-8')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-10-9')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-10-10')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-10-11')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-10-12')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-10-13')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-10-14')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-10-15')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-10-16')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-10-17')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-10-18')]);

    // schedule = 16, classroom = 6
    $classroom = ClassRoom::find(6);
    $schedule = Schedule::find(16);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-10-28')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-10-29')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-10-30')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-10-31')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-11-1')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-11-2')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-11-3')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-11-4')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-11-5')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-11-6')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-11-7')]);

    // schedule = 17, classroom = 2
    $classroom = ClassRoom::find(2);
    $schedule = Schedule::find(17);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-11-17')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-11-18')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-11-19')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-11-20')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-11-21')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-11-22')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-11-23')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-11-24')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-11-25')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-11-26')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-11-27')]);

    // schedule = 18, classroom = 8
    $classroom = ClassRoom::find(8);
    $schedule = Schedule::find(18);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-12-7')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-12-8')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-12-9')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-12-10')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-12-11')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-12-12')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-12-13')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-12-14')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-12-15')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-12-16')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-12-17')]);

    // schedule = 19, classroom = 5
    $classroom = ClassRoom::find(5);
    $schedule = Schedule::find(19);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-12-27')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-12-28')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-12-29')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-12-30')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2023-12-31')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2024-1-1')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2024-1-2')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2024-1-3')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2024-1-4')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2024-1-5')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2024-1-6')]);

    // schedule = 20, classroom = 1
    $classroom = ClassRoom::find(1);
    $schedule = Schedule::find(20);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2024-1-16')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2024-1-17')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2024-1-18')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2024-1-19')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2024-1-20')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2024-1-21')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2024-1-22')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2024-1-23')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2024-1-24')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2024-1-25')]);
    $schedule
      ->classrooms()
      ->attach($classroom->id, ['date_epoch' => strtotime('2024-1-26')]);
  }
}
